Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Public Attributes
tlp::Face Struct Reference
Graphs

class face More...

`#include <Face.h>`

List of all members.

## Public Member Functions

- Face ()
- Face (unsigned int j)
- bool operator!= (const Face f) const
- bool operator== (const Face f) const
- bool isValid () const

## Public Attributes

- unsigned int id

## Detailed Description

class face

## Constructor & Destructor Documentation

tlp::Face::Face | ( |  | ) | `[inline]`

tlp::Face::Face | ( | unsigned int | j | ) | `[inline, explicit]`

## Member Function Documentation

bool tlp::Face::isValid | ( |  | ) | const`[inline]`

bool tlp::Face::operator!= | ( | const Face | f | ) | const`[inline]`

bool tlp::Face::operator== | ( | const Face | f | ) | const`[inline]`

## Member Data Documentation

unsigned int tlp::Face::id

Tulip Software by LaBRI Visualization Team 2001 - 2012